package compare;

public interface Comparable
	{
	public int compareTo(Comparable other);
	/*
	compareTo should return a negative integer, 0, or a positive integer
	depending on the outcome of the comparison between this and other.
	It assumes that other is not null.

	Return value:
	negative when valueOf(this) < valueOf(other)
	zero when valueOf(this) == valueOf(other)
	positive when valueOf(this) > valueOf(other)
	*/
	}

